--- grib-def-1.8.0.1.orig/debian/consistency-checks
+++ grib-def-1.8.0.1/debian/consistency-checks
@@ -0,0 +1,38 @@
+#!/bin/bash
+RES=0
+
+# Verify that the default location for definition files has not changed
+if [ `grib_info -d` != "/usr/share/grib_api/definitions" ]
+then
+	echo "Location of definition files has changed to `grib_info -d`" >&2
+	RES=1
+else
+	echo "Location of definition files is still consistent."
+fi
+
+# Verify that all current .def files parse correctly
+PARSE_RES=0
+COUNT_OK=0
+COUNT_FAIL=0
+for NAME in `find . -name "*.def"`
+do
+	OUT=`grib_parser $NAME 2>&1`
+	if [ $? -ne 0 ]
+	then
+		echo $OUT >&2
+		echo "$NAME: parse failed" >&2
+		PARSE_RES=1
+		COUNT_FAIL=$(($COUNT_FAIL + 1))
+	else
+		COUNT_OK=$(($COUNT_OK + 1))
+	fi
+done
+if [ $PARSE_RES -ne 0 ]
+then
+	echo "$COUNT_FAIL/$(($COUNT_OK + $COUNT_FAIL)) of our .def files did not parse" >&2
+	RES=1
+else
+	echo "All ${COUNT_OK} .def files parsed correctly."
+fi
+
+exit $RES
--- grib-def-1.8.0.1.orig/debian/compat
+++ grib-def-1.8.0.1/debian/compat
@@ -0,0 +1 @@
+7
--- grib-def-1.8.0.1.orig/debian/libgrib-api-data.install
+++ grib-def-1.8.0.1/debian/libgrib-api-data.install
@@ -0,0 +1,8 @@
+boot.def usr/share/grib_api/definitions/
+budg usr/share/grib_api/definitions/
+common usr/share/grib_api/definitions/
+grib1 usr/share/grib_api/definitions/
+grib2 usr/share/grib_api/definitions/
+mars usr/share/grib_api/definitions/
+tide usr/share/grib_api/definitions/
+x.grib usr/share/grib_api/definitions/
--- grib-def-1.8.0.1.orig/debian/rules
+++ grib-def-1.8.0.1/debian/rules
@@ -0,0 +1,3 @@
+#!/usr/bin/make -f
+%:
+	dh $@
--- grib-def-1.8.0.1.orig/debian/changelog
+++ grib-def-1.8.0.1/debian/changelog
@@ -0,0 +1,6 @@
+grib-def (1.8.0.1-1) unstable; urgency=low
+
+  * Initial release of the data files for grib_api that are now packaged by
+    upstream as a separate tarball.
+
+ -- Enrico Zini <enrico@debian.org>  Wed, 14 Oct 2009 10:57:24 +0100
--- grib-def-1.8.0.1.orig/debian/copyright
+++ grib-def-1.8.0.1/debian/copyright
@@ -0,0 +1,21 @@
+Format-Specification: http://wiki.debian.org/Proposals/CopyrightFormat?action=recall&rev=196
+Upstream-Name: grib_def
+Upstream-Maintainer: 
+ Enrico Fucile <enrico.fucile@ecmwf.int>
+ Jean-Baptiste Filippi <batti@batti.org>
+ Baudoin Raoult <baudouin.raoult@ecmwf.int>
+Upstream-Source: http://www.ecmwf.int/products/data/software/grib_api.html
+
+Files: *
+Copyright: Copyright (C) 2005-2007, ECMWF (The European Centre for Medium-Range Weather Forecasts)
+License: LGPL-3
+ Licensed under the GNU Lesser General Public License which
+ incorporates the terms and conditions of version 3 of the GNU
+ General Public License.                                                                                    
+ The texts of these two licenses can be found in
+ /usr/share/common-licenses/GPL-3 and /usr/share/common-licenses/LGPL-3
+
+Files:
+ debian/*
+Copyright: Copyright (C) 2007,2008,2009, Enrico Zini <enrico@debian.org>
+License: GPL-3
--- grib-def-1.8.0.1.orig/debian/control
+++ grib-def-1.8.0.1/debian/control
@@ -0,0 +1,26 @@
+Source: grib-def
+Section: science
+Priority: optional
+Maintainer: Enrico Zini <enrico@debian.org>
+Build-Depends: debhelper (>= 7), dh-buildinfo
+Standards-Version: 3.8.3.0
+Homepage: http://www.ecmwf.int/products/data/software/grib_api.html
+Vcs-Git: git://git.debian.org/git/collab-maint/gribdef.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/gribdef.git
+
+Package: libgrib-api-data
+Architecture: all
+Depends: ${misc:Depends}
+Conflicts: libgrib-api-0d-0 (<= 1.8.0-1)
+Description: grib_api definition files
+ The ECMWF GRIB API is an application program interface accessible from C and
+ FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
+ and edition 2 messages.
+ .
+ grib_api performs encoding and deconding as directed by "definition files",
+ that describe the various GRIB dialects and extensions. New GRIB extensions
+ can be supported by providing an extra definition file, without the need of
+ recompiling the library. This package contains the set of definition files
+ distributed by ECMWF.
+ .
+ ECMWF is the European Centre for Medium-Range Weather Forecasts.
